QGIS Application - Bug report #13720
Disable some digitizing tools when point (non multipoint) layer is being edited
2015-10-30 10:17 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21747
Description

Toggle editing a point shapefile layer.

Are available advanced digitizing tools like Add Part, Delete Part, Merge Feature(s). I'm wondering why these tools are available for this
type of layer since:

- trying to merge features states : "The union operation would result in a geometry type that is not compatible with the current layer and
therefore is canceled”

- Add part : the parts are added with the clic but when saving the layer, there are vanished silently (should i open a specific ticket?)

- Delete part : impossible to test it since | wasn't able to add a multipart shapefile. Saving a postgis multipoint into shapefile only keeps the
single part features.

I don't know if shapefile format doesn't allow multiparts point features or if it's QGIS that doesn't support it (creating a shapefile only offers
point type no multipoint) but there should be coherence between tools available and capabilities.

History

#1 - 2015-11-06 05:37 AM - Giovanni Manghi

- Target version deleted (Version 2.14)

- Subject changed from Digitizing tools available are not coherent with (multipart) shapefile editing capabilities to Disable some digitizing tools when
point (non multipoint) layer is being edited

correct. Multi-point layers/shapefiles are certainly possible and the described tools work as expected with them. It is confusing to leave them active for non

multi-point layers and so return to users error messages.

#2 - 2015-11-25 02:49 AM - Harrissou Santanna

I don't know if it was a local issue or a third-part one but | can currently merge point features, add and delete part in a shapefile layer.

Things look coherent now from a shapefile format point of view.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
